﻿
<div>
    <div class="form-group">
        <label for="filter">Filter:</label>
        <input type="text" class="form-control form-control-sm" id="filter" @bind="InputValue" @bind:event="oninput" />
    </div>
    <div class="btn-group-vertical">
        @foreach (string tabPageName in getPageNames())
        {
            <button type="button"
                    class="btn btn-sm btn-outline-primary mb-1"
                    @ontouchstart="e => Parent.ActivatePage(tabPageName)" @ontouchstart:preventDefault=true
                    @onclick=@( () => Parent.ActivatePage(tabPageName) )>
                @tabPageName
            </button>
        }
    </div>
</div>

@code {
    [Parameter]
    public TabControl Parent { get; set; }

    private string InputValue { get; set; } = string.Empty;

    private string[] getPageNames()
    {
        string[] pageNames;
        pageNames = Parent.Pages.Select(x => x.Name).ToArray();
        if (!string.IsNullOrWhiteSpace(InputValue))
        {
            pageNames = pageNames.Where(x => x.ToLower().Contains(InputValue.ToLower())).ToArray();
        }
        return pageNames;
    }

    private void oninput(ChangeEventArgs changeEventArgs)
    {

    }

}
